Skip to main content
GET
/
v2
/
matchlists
Retrieve a list of matchlist details
curl --request GET \
  --url https://api.uat.frankie.one/v2/matchlists \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'api_key: <api-key>'
{ "requestId": "01HN9XHZN6MGXM9JXG50K59Q85", "matchlists": [ { "matchlistId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "<string>", "description": "<string>", "isDefault": true, "action": "BLOCK", "riskScore": 123, "state": "ACTIVE", "createdBy": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedBy": "<string>", "updatedAt": "2023-11-07T05:31:56Z" } ] }

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Background
enum<integer>

If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See our callback API for details on this.

Available options:
0,
1
X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Query Parameters

states
enum<string>[]

If set, the response will include only entries with the specified states. By default, only ACTIVE entries are returned. Possible values are: ACTIVE, and ARCHIVED. Multiple values can be provided as a comma-separated list. For example, ACTIVE,ARCHIVED. If the value is not one of the possible values, it will be ignored. If the value is not provided, only ACTIVE entries are returned. List of states to include in the response.

The state of the matchlist. Possible values:

  • "ACTIVE": The matchlist is active and can be used for matching. Note: the default matchlist is always active.
  • "ARCHIVED": The matchlist is archived and cannot be used for matching.
Available options:
ACTIVE,
ARCHIVED

Response

OK

requestId
string

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

matchlists
Matchlist · object[]